<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <meta
    property="og:image"
    content="https://raw.githubusercontent.com/naomiaro/waveform-playlist/master/img/annotations.png"
  />
  <meta
    property="og:image:height"
    content="401"
  />
  <meta
    property="og:image:width"
    content="1008"
  />

  <title>
    Playlist Annotations
  </title>
  <meta
    name="description"
    content="Annotate the playlist with timed text segments. Drag boundries to adjust timing. Enhance the annotation editing process with custom user defined functionality. Aeneas support."
  />

  <link
    rel="stylesheet"
    href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
    integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l"
    crossorigin="anonymous"
  />
  <link rel="stylesheet" href="/waveform-playlist/css/main.css">
  <link
    rel="canonical"
    href="https://naomiaro.github.io/waveform-playlist/annotations.html"
  />
  <link rel="alternate" type="application/rss+xml" title="Waveform Playlist"
  href="https://naomiaro.github.io/waveform-playlist/feed.xml">
  <style>
    .github-corner:hover .octo-arm,
    .github-corner:focus .octo-arm {
      animation: octocat-wave 560ms ease-in-out;
    }
    @keyframes octocat-wave {
      0%,
      100% {
        transform: rotate(0);
      }
      20%,
      60% {
        transform: rotate(-25deg);
      }
      40%,
      80% {
        transform: rotate(10deg);
      }
    }
    @media (max-width: 500px) {
      .github-corner:hover .octo-arm {
        animation: none;
      }
      .github-corner .octo-arm {
        animation: octocat-wave 560ms ease-in-out;
      }
    }
  </style>
  <script src="https://kit.fontawesome.com/ef69927139.js" crossorigin="anonymous"></script>
</head>


  <body>
    <script>
  (function (i, s, o, g, r, a, m) {
    i["GoogleAnalyticsObject"] = r;
    (i[r] =
      i[r] ||
      function () {
        (i[r].q = i[r].q || []).push(arguments);
      }),
      (i[r].l = 1 * new Date());
    (a = s.createElement(o)), (m = s.getElementsByTagName(o)[0]);
    a.async = 1;
    a.src = g;
    m.parentNode.insertBefore(a, m);
  })(
    window,
    document,
    "script",
    "//www.google-analytics.com/analytics.js",
    "ga"
  );

  ga("create", "UA-62186746-1", "auto");
  ga("send", "pageview");
</script>
<header class="site-header">
  <ol class="breadcrumb">
    <li><a href="/waveform-playlist/">Waveform Playlist</a></li>
    <li class="mx-3 active">Playlist Annotations</li>
  </ol>
  <a
    href="https://github.com/naomiaro/waveform-playlist"
    class="github-corner"
    aria-label="View source on GitHub"
    ><svg
      width="80"
      height="80"
      viewBox="0 0 250 250"
      style="
        fill: #151513;
        color: #fff;
        position: absolute;
        top: 0;
        border: 0;
        right: 0;
      "
      aria-hidden="true"
    >
      <path d="M0,0 L115,115 L130,115 L142,142 L250,250 L250,0 Z"></path>
      <path
        d="M128.3,109.0 C113.8,99.7 119.0,89.6 119.0,89.6 C122.0,82.7 120.5,78.6 120.5,78.6 C119.2,72.0 123.4,76.3 123.4,76.3 C127.3,80.9 125.5,87.3 125.5,87.3 C122.9,97.6 130.6,101.9 134.4,103.2"
        fill="currentColor"
        style="transform-origin: 130px 106px"
        class="octo-arm"
      ></path>
      <path
        d="M115.0,115.0 C114.9,115.1 118.7,116.5 119.8,115.4 L133.7,101.6 C136.9,99.2 139.9,98.4 142.2,98.6 C133.8,88.0 127.5,74.4 143.8,58.0 C148.5,53.4 154.0,51.2 159.7,51.0 C160.3,49.4 163.2,43.6 171.4,40.1 C171.4,40.1 176.1,42.5 178.8,56.2 C183.1,58.6 187.2,61.8 190.9,65.4 C194.5,69.0 197.7,73.2 200.1,77.6 C213.8,80.2 216.3,84.9 216.3,84.9 C212.7,93.1 206.9,96.0 205.4,96.6 C205.1,102.4 203.0,107.8 198.3,112.5 C181.9,128.9 168.3,122.5 157.7,114.1 C157.9,116.9 156.7,120.9 152.7,124.9 L141.0,136.5 C139.8,137.7 141.6,141.9 141.8,141.8 Z"
        fill="currentColor"
        class="octo-body"
      ></path></svg
  ></a>
</header>


    <main class="container">
      <div class="wrapper">
  <article class="post">
    <header class="post-header">
      <h1 class="post-title">Playlist Annotations</h1>
      <p class="lead">Annotate the playlist with timed text segments. Annotations will scroll and highlight during playback. Drag the annotation's boundries in the UI to adjust time points. Enhance the annotation editing process with custom user defined functionality. Optionally edit live the annotation text using contenteditable.</p>
    </header>
    <div class="post-content"><div class="lead mb-4">Currently supporting input and output in the <a href="https://github.com/readbeyond/aeneas">Aeneas</a> JSON format.</div>

<div id="top-bar" class="playlist-top-bar">
  <div class="playlist-toolbar">
    <div class="btn-group">
  <button type="button" class="btn-pause btn btn-outline-warning" title="Pause">
    <i class="fas fa-pause"></i>
  </button>
  <button type="button" class="btn-play btn btn-outline-success" title="Play">
    <i class="fas fa-play"></i>
  </button>
  <button type="button" class="btn-stop btn btn-outline-danger" title="Stop">
    <i class="fas fa-stop"></i>
  </button>
  <button
    type="button"
    class="btn-rewind btn btn-outline-success"
    title="Rewind"
  >
    <i class="fas fa-fast-backward"></i>
  </button>
  <button
    type="button"
    class="btn-fast-forward btn btn-outline-success"
    title="Fast forward"
  >
    <i class="fas fa-fast-forward"></i>
  </button>
  <button
    type="button"
    class="btn-record btn btn-outline-primary disabled"
    title="Record"
  >
    <i class="fas fa-microphone"></i>
  </button>
</div>

    <div class="btn-group">
  <button
    type="button"
    title="Zoom in"
    class="btn-zoom-in btn btn-outline-dark"
  >
    <i class="fas fa-search-plus"></i>
  </button>
  <button
    type="button"
    title="Zoom out"
    class="btn-zoom-out btn btn-outline-dark"
  >
    <i class="fas fa-search-minus"></i>
  </button>
</div>

    <div class="btn-group">
      <button type="button" title="Download the annotations as json" class="btn-annotations-download btn btn-outline-dark">Download JSON</button>
    </div>
  </div>
</div>
<div id="playlist"></div>
<form class="form-inline">
  <label for="master-gain" class="mr-sm-2">Master Volume</label>
<input
  type="range"
  min="0"
  max="100"
  value="100"
  class="master-gain form-control mr-sm-2"
  id="master-gain"
/>

  <div class="form-check form-check-inline">
  <input class="form-check-input automatic-scroll" type="checkbox" id="automatic_scroll" />
  <label class="form-check-label" for="automatic_scroll"
    >Automatic Scroll</label
  >
</div>

  <div class="form-check form-check-inline">
  <input class="form-check-input continuous-play" type="checkbox" id="continuous_play" />
  <label class="form-check-label" for="continuous_play">Continuous Play</label>
</div>

  <div class="form-check form-check-inline">
  <input
    class="form-check-input link-endpoints"
    type="checkbox"
    id="link_endpoints"
    checked
  />
  <label class="form-check-label" for="link_endpoints"> Link Endpoints</label>
</div>

</form>
<form class="form-inline">
  <select class="time-format custom-select mr-sm-2" aria-label="Time format selection">
    <option value="seconds">seconds</option>
    <option value="thousandths">thousandths</option>
    <option value="hh:mm:ss">hh:mm:ss</option>
    <option value="hh:mm:ss.u">hh:mm:ss + tenths</option>
    <option value="hh:mm:ss.uu">hh:mm:ss + hundredths</option>
    <option value="hh:mm:ss.uuu" selected="selected">hh:mm:ss + milliseconds</option>
  </select>
  <label class="sr-only" for="audio_start">Start of audio selection</label>
  <input type="text" class="audio-start form-control mr-sm-2" id="audio_start">
  <label class="sr-only" for="audio_end">End of audio selection</label>
  <input type="text" class="audio-end form-control mr-sm-2" id="audio_end">
  <span class="audio-pos" aria-label="Audio position">00:00:00.0</span>
</form>

</div>
  </article>
</div>

    </main>

    <footer class="px-3">
  
  <p>Music: <cite>Sonnet</cite> by LibriVox</p>
  
  <p>
    Waveform Playlist originally written for
    <a href="https://www.sourcefabric.org/en/airtime">Airtime</a> at
    <a href="https://www.sourcefabric.org">Sourcefabric</a>
  </p>
  <p>
    The annotation plugin has been sponsored by a fond Italian TED volunteer
    transcriber, hoping to make easier and more fun the transcription process of
    TEDx talks.
  </p>
  <p>Licensed under the MIT License</p>
  <iframe src="https://github.com/sponsors/naomiaro/card" title="Sponsor naomiaro" height="150" width="600" style="border: 0;"></iframe>
</footer>


<script
  src="https://code.jquery.com/jquery-3.6.0.min.js"
  integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
  crossorigin="anonymous"
></script>
<script type="text/javascript" src="js/waveform-playlist.js"></script>
<script type="text/javascript" src="js/annotations.js"></script>
<script type="text/javascript" src="js/emitter.js"></script>


  </body>
</html>
